VERSION 5.00
Begin VB.Form frmRadarMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Fischertechnik : Radarturm"
   ClientHeight    =   7155
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   9135
   Icon            =   "RadarMC.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   ScaleHeight     =   7155
   ScaleWidth      =   9135
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdPanel 
      Caption         =   "ON"
      Enabled         =   0   'False
      Height          =   495
      Left            =   8520
      TabIndex        =   13
      Top             =   480
      Width           =   495
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   7080
      TabIndex        =   0
      Top             =   6360
      Width           =   1335
   End
   Begin VB.CommandButton cmdNotHalt 
      Caption         =   "Abbrechen"
      Height          =   375
      Left            =   5640
      TabIndex        =   11
      Top             =   6360
      Width           =   1335
   End
   Begin VB.PictureBox picProgramme 
      Appearance      =   0  '2D
      BackColor       =   &H00E0E0E0&
      BorderStyle     =   0  'Kein
      Enabled         =   0   'False
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   720
      ScaleHeight     =   615
      ScaleWidth      =   4695
      TabIndex        =   7
      Top             =   6120
      Width           =   4695
      Begin VB.CommandButton cmdProgramm 
         Caption         =   "3"
         Height          =   375
         Index           =   2
         Left            =   3120
         TabIndex        =   10
         Top             =   120
         Width           =   1335
      End
      Begin VB.CommandButton cmdProgramm 
         Caption         =   "2"
         Height          =   375
         Index           =   1
         Left            =   1680
         TabIndex        =   9
         Top             =   120
         Width           =   1335
      End
      Begin VB.CommandButton cmdProgramm 
         BackColor       =   &H0000FF00&
         Caption         =   "1"
         Height          =   375
         Index           =   0
         Left            =   240
         TabIndex        =   8
         Top             =   120
         Width           =   1335
      End
   End
   Begin VB.PictureBox picRadarY 
      AutoRedraw      =   -1  'True
      Height          =   5055
      Left            =   360
      ScaleHeight     =   4995
      ScaleWidth      =   195
      TabIndex        =   3
      Top             =   480
      Width           =   255
   End
   Begin VB.PictureBox picRadarX 
      AutoRedraw      =   -1  'True
      Height          =   255
      Left            =   720
      ScaleHeight     =   195
      ScaleWidth      =   7635
      TabIndex        =   2
      Top             =   5640
      Width           =   7695
   End
   Begin VB.PictureBox picRadar 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00404040&
      ForeColor       =   &H0000FF00&
      Height          =   5055
      Left            =   720
      ScaleHeight     =   4995
      ScaleMode       =   0  'Benutzer
      ScaleWidth      =   7635
      TabIndex        =   1
      Top             =   480
      Width           =   7695
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Zentriert
      Caption         =   "Panel"
      Height          =   255
      Left            =   8520
      TabIndex        =   14
      Top             =   1080
      Width           =   495
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Zentriert
      BackColor       =   &H00E0E0E0&
      Caption         =   "Interface : STARTen"
      Height          =   180
      Left            =   5640
      TabIndex        =   12
      Top             =   6120
      Width           =   2775
   End
   Begin VB.Label lblRadarX 
      Alignment       =   2  'Zentriert
      Caption         =   "360"
      Height          =   255
      Left            =   8520
      TabIndex        =   6
      Top             =   5655
      Width           =   255
   End
   Begin VB.Label lblRadarY 
      Alignment       =   2  'Zentriert
      Caption         =   "45"
      Height          =   195
      Left            =   360
      TabIndex        =   5
      Top             =   210
      Width           =   255
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Zentriert
      Caption         =   "0"
      Height          =   255
      Index           =   0
      Left            =   360
      TabIndex        =   4
      Top             =   5640
      Width           =   255
   End
End
Attribute VB_Name = "frmRadarMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' -------------------------------------------------------------------------
'
' frmRadarMain(RadarMC.FRM)                           Ulrich Mller  1.6.98
'                                                     Dell XPS P90    VB5.0
' Fischertechnik Radarturm : MainForm
'
' bentigt : FishFace.DLL und bei parallelem Interrace zustlich FISCH32.DLL
'
' -------------------------------------------------------------------------

Option Explicit

Private WithEvents ftEvent As clsFishFace ' Zuordnung der clsFishFace
Attribute ftEvent.VB_VarHelpID = -1
                                          ' Events (InputImpuls)

Private PortName$
Private Sub Beenden()

' --- Beenden des gesamten Programmes ----

  ft.CloseInterface
  Set ft = Nothing
  Set ftEvent = Nothing
  End
  
End Sub


Private Sub cmdAction_Click()

' --- Aktivieren des Interface ---

Dim i%

  Select Case cmdAction.Caption
  Case "START"
    If ft.OpenInterface(PortName) < 0 Then Exit Sub
    cmdAction.Caption = "ENDE"
    cmdNotHalt.Caption = "NOTHALT"
    cmdPanel.Enabled = True
    picProgramme.Enabled = True
    lblStatus = "Interface OK, Programm starten"
    lblStatus.BackColor = cFarbeEin
  Case "ENDE"
    Beenden
  Case "HALT"
    ProgrammBeenden = True
    cmdAction.Caption = "ENDE"
  End Select
  
End Sub


Private Sub cmdNotHalt_Click()

' --- Nothalt : Zurcksetzen aller Motoren ---------------
'     cRhandbetrieb : Relais im Radarturm stromlos, Bedienung ber
'                     Schalter am Turm mglich, gelbe Lampe aus

Static Nstatus%, NSfarbe&, NStext$

  Select Case cmdNotHalt.Caption
  Case "NOTHALT"
    cmdNotHalt.Caption = "Fortsetzen"
    Nstatus = ft.StatusOutputs
    NSfarbe = lblStatus.BackColor
    NStext = lblStatus.Caption
    ft.ClearMotors
    lblStatus = "Handbetrieb"
    lblStatus.BackColor = cFarbeEnde
  Case "Fortsetzen"
    cmdNotHalt.Caption = "NOTHALT"
    ft.SetMotors Nstatus
    lblStatus = NStext
    lblStatus.BackColor = NSfarbe
    Nstatus = 0
  Case "Abbrechen"
    Beenden
  End Select
  
End Sub

Private Sub cmdPanel_Click()

  If cmdPanel.Caption = "ON" Then
    cmdPanel.Caption = "OFF"
    ft.ShowPanel
  Else
    cmdPanel.Caption = "ON"
    ft.UnloadPanel
  End If
End Sub

Private Sub cmdProgramm_Click(Index As Integer)

' --- Aufrufsteuerung fr die Radarprogramme ---
'     Ein bestehender Nothalt wird aufgehoben

Dim i%

  ProgrammNr = Index
  ProgrammBeenden = False
  cmdAction.Caption = "HALT"
  ft.SetMotor cRHandbetrieb, cRHandAus
  If cmdNotHalt.Caption = "Fortsetzen" Then cmdNotHalt_Click
  lblStatus.BackColor = cFarbeEin
  ft.SetMotor cRHandbetrieb, cRHandAus
  
  Select Case Index
  Case 0               ' --- Standard Scannen ----
    StandardScan
  Case 1
  Case 2
  End Select
  
  cmdAction.Caption = "ENDE"
  lblStatus = "Programm beendet"
  lblStatus.BackColor = cFarbeEnde
  ProgrammNr = -1
  
End Sub

Private Sub Form_Load()

  PortName = InputBox("Bitte I/O-Port angeben : COM1 - COM4, LPT1 - LPT4", "Fischertechnik : Radarturm", "COM1")
  Set ftEvent = New clsFishFace
  Set ft = ftEvent
  Set mf = frmRadarMain
  ProgrammNr = -1
  fKalib = (256 - 80) / 1024      ' --- Kalibrierung der Radaranzeige ---
                                  '     auf einen Wert zwischen 80 - 255
                                  '     Farbe Grn, Restwert 79
  
End Sub


Private Sub Form_Unload(Cancel As Integer)

  Beenden
  
End Sub


Private Sub ftEvent_InputImpuls(InputNr As Integer, ImpulsNr As Integer)

' --- Ansteuerung der Impuls-Auswerte-Routinen ---

  Select Case InputNr
  Case cRSchirmImpuls
    RadarAnzeige ImpulsNr, 2
  Case Else
  End Select
  
End Sub

Private Sub ftEvent_InterfaceStatus(Quelle As Integer)

' --- berwachung des Interface und Aufrechterhaltung der Verbindung ---
'     Statusanzeige in lblStatus

Static IFehler%, IFtext$, IFfarbe&

  If Quelle < 0 Then
    If IFehler >= 0 Then
      IFehler = -1
      IFtext = lblStatus
      IFfarbe = lblStatus.BackColor
    End If
    lblStatus = "Interface Probleme"
    lblStatus.BackColor = cFarbeFehler
  Else
    If IFehler < 0 Then
      IFehler = 0
      lblStatus = IFtext
      lblStatus.BackColor = IFfarbe
    End If
  End If
  
End Sub


