VERSION 5.00
Begin VB.Form frmBlowUp 
   Caption         =   "Fischertechnik : BlowUp"
   ClientHeight    =   5415
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5220
   Icon            =   "BlowUp.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5415
   ScaleWidth      =   5220
   StartUpPosition =   3  'Windows-Standard
   Begin VB.PictureBox picAus 
      Height          =   3855
      Left            =   360
      ScaleHeight     =   3795
      ScaleWidth      =   4395
      TabIndex        =   3
      Top             =   360
      Width           =   4455
   End
   Begin VB.CommandButton cmdInit 
      Caption         =   "Grundstellung"
      Height          =   495
      Left            =   1560
      TabIndex        =   2
      Top             =   4680
      Width           =   1575
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   4680
      Width           =   1215
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "ACTION"
      Height          =   495
      Left            =   3240
      TabIndex        =   0
      Top             =   4680
      Width           =   1455
   End
End
Attribute VB_Name = "frmBlowUp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' -------------------------------------------------------------------------
'
' frmBlowUp(BlowUp.FRM)                              Ulrich Mller 26.05.98
'                                                    Dell XPS P90     VB5.0
'
'
' -------------------------------------------------------------------------

Option Explicit

Private ft As clsFishFace

' --- BlowUp-Konstanten ---

Private Const cBRotor = 1, cBRotorDrehen = ftiLinks
Private Const cBArm = 2, cBArmAuf = ftiLinks, cBArmAb = ftiRechts
Private Const cBArmUnten = 1, cBArmOben = 2
Private Const cBBlaulicht = 4, cBBlauEin = ftiEin

Private PortName$
Private Sub Grundstellung()

' --- Fahren auf Grundstellung ---

  ft.SetMotor cBBlaulicht, cBBlauEin
  ft.SetMotor cBArm, cBArmAb
  Do
  Loop Until ft.GetInput(cBArmUnten)
  ft.SetMotor cBArm, ftiAus
  ft.SetMotor cBRotor, ftiAus
  ft.SetMotor cBBlaulicht, ftiAus

End Sub


Private Sub StandardRunde()

' --- Standardrunde ---

  picAus.Cls
  picAus.Print "StandardRunde gestartet"
  ft.SetMotor cBBlaulicht, cBBlauEin
  ft.WaitForTime 2500
  ft.SetMotor cBBlaulicht, ftiAus
  picAus.Print "Arm Auf"
  ft.SetMotor cBArm, cBArmAuf
  ft.WaitForTime 3000
  picAus.Print "Rotor Ein"
  ft.SetMotor cBRotor, cBRotorDrehen
  ft.WaitForTime 8000
  ft.SetMotor cBBlaulicht, cBBlauEin
  picAus.Print "Arm Auf Pause"
  ft.SetMotor cBArm, ftiAus
  ft.WaitForTime 3000
  picAus.Print "Arm Auf Weiter"
  ft.SetMotor cBArm, cBArmAuf
  Do
  Loop Until ft.GetInput(cBArmOben)
  picAus.Print "Arm Oben, Es geht rund fr 10 Sekunden "
  ft.SetMotor cBArm, ftiAus
  ft.WaitForTime 10000
  picAus.Print "Arm Ab"
  ft.SetMotor cBArm, cBArmAb
  ft.WaitForTime 3000
  picAus.Print "Und wieder Pause"
  ft.SetMotor cBArm, ftiAus
  ft.WaitForTime 3000
  picAus.Print "Es geht weiter"
  ft.SetMotor cBArm, cBArmAb
  Do
  Loop Until ft.GetInput(cBArmUnten)
  ft.SetMotor cBArm, ftiAus
  picAus.Print "Arm unten, Auslauf"
  ft.WaitForTime 2500
  ft.SetMotor cBRotor, ftiAus
  ft.WaitForTime 2500
  ft.SetMotor cBBlaulicht, ftiAus
  picAus.Print "--- FINIS ---"
  
End Sub


Private Sub cmdAction_Click()

  Grundstellung
  StandardRunde
  
End Sub


Private Sub cmdEnde_Click()

  End
  
End Sub


Private Sub cmdInit_Click()
  
  Grundstellung
  
End Sub


Private Sub Form_Load()

Dim res%
  
  PortName = InputBox("Bitte I/O-Port angeben : COM1 - COM4, LPT1 - LPT4", "Fischertechnik : BlowUp", "LPT1")
  Set ft = New clsFishFace
  res = ft.OpenInterface(PortName)

End Sub


Private Sub Form_Unload(Cancel As Integer)

  ft.CloseInterface
  Set ft = Nothing
  
End Sub


